.. The colorzero color library
..
.. Copyright (c) 2016-2021 Dave Jones <dave@waveform.org.uk>
..
.. SPDX-License-Identifier: BSD-3-Clause

============
Installation
============

.. currentmodule:: colorzero


Raspbian installation
=====================

On `Raspbian`_, it is best to obtain colorzero via the ``apt`` utility:

.. code-block:: console

    $ sudo apt update
    $ sudo apt install python3-colorzero

The usual apt upgrade method can be used to keep your installation up to date:

.. code-block:: console

    $ sudo apt update
    $ sudo apt upgrade

To remove your installation:

.. code-block:: console

    $ sudo apt remove python3-colorzero


Ubuntu installation
===================

If you are using `Ubuntu`_, it is probably easiest to obtain colorzero from the
author's PPA:

.. code-block:: console

    $ sudo add-apt-repository ppa://waveform/ppa
    $ sudo apt update
    $ sudo apt install python3-colorzero

The usual apt upgrade method can be used to keep your installation up to date:

.. code-block:: console

    $ sudo apt update
    $ sudo apt upgrade

To remove your installation:

.. code-block:: console

    $ sudo apt remove python3-colorzero


Other platforms
===============

On other platforms, it is probably easiest to obtain colorzero via the ``pip``
utility:

.. code-block:: console

    $ sudo pip3 install colorzero

To upgrade your installation:

.. code-block:: console

    $ sudo pip3 install -U colorzero

To remove your installation:

.. code-block:: console

    $ sudo pip3 remove colorzero


.. _Raspbian: https://www.raspberrypi.org/downloads/raspbian/
.. _Ubuntu: https://ubuntu.com/
